Youtube-dl dependency error
Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

Calling youtube-dI now fails with:

Traceback (most recent call last):
File "/usr/bin/youtube-dl", line 5, in <module>
from pkg_resources import load_entry_point
ImportError: No module named 'pkg_resources'

History

#1 - 2015-10-21 06:04 PM - mtjm

Is your setuptools installed for the same Python version? (E.g. for 3.4 or 3.5 0or 2.7.)
#2 - 2015-10-21 10:38 PM - hellekin
mtjm wrote:

Is your setuptools installed for the same Python version? (E.g. for 3.4 or 3.5 0or 2.7.)

If | run python --version | get the following error:

python: error while loading shared libraries: libpython3.4m.so.l1.0: cannot open shared object file: No such fi
le or directory
It seems that Idconfig is wired for python3.5 but some programs are looking for 3.4 instead.
#3 - 2015-10-21 10:43 PM - hellekin
hellekin wrote:

mtjm wrote:

Is your setuptools installed for the same Python version? (E.g. for 3.4 or 3.5 0r 2.7.)

If I run python --version | get the following error:

[--]

It seems that Idconfig is wired for python3.5 but some programs are looking for 3.4 instead.

Duh, | found out the culprit: hardwired python compiled from last September, probably when | needed this version but it wasn't yet available or
something weird like this. Removed the extra python, all is well.

#4 - 2015-10-21 10:43 PM - hellekin
BOGUS ISSUE (but can't close it)

#5 - 2015-10-21 10:50 PM - hellekin
Had to resintall both python-setuptools and python-packaging after | removed my extra python binaries. NOW FIXED.

#6 - 2015-10-22 02:21 AM - ovruni

- Status changed from open to fixed
